PostgreSQL 7.1.3 Documentation
Prev |  | Next

# getresult

## Name

getresult -- gets the values returned by the query

## Synopsis

    getresult()

### Parameters

none

### Return Type

list

  List of tuples.

### Exceptions

SyntaxError

  Too many arguments.

pg.error

  Invalid previous result.

## Description

`getresult()` method returns the list of the values returned by the query. More information about this result may be accessed using `listfields`, `fieldname` and `fieldnum` methods.

Prev | Home | Next
Query result object: `pgqueryobject` | Up | dictresult